Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.selectvalues
Class SelectValuesData

    java.lang.Object
      org.pentaho.di.trans.step.BaseStepData
          org.pentaho.di.trans.steps.selectvalues.SelectValuesData

All Implemented Interfaces:
  StepDataInterface

    public class SelectValuesData

extends BaseStepData
implements StepDataInterface

Since:
  24-jan-2005
Author:
  Matt

Field Summary
`boolean` | `deselect`
`org.pentaho.di.core.row.RowMetaInterface` | `deselectRowMeta`
`int[]` | `extraFieldnrs`
`int[]` | `fieldnrs`
`boolean` | `firstdeselect`
`boolean` | `firstmetadata`
`boolean` | `firstselect`
`boolean` | `metadata`
`org.pentaho.di.core.row.RowMetaInterface` | `metadataRowMeta`
`int[]` | `metanrs`
`org.pentaho.di.core.row.RowMetaInterface` | `outputRowMeta`
`int[]` | `removenrs`
`boolean` | `select`
`org.pentaho.di.core.row.RowMetaInterface` | `selectRowMeta`

Fields inherited from interface org.pentaho.di.trans.step.StepDataInterface
`STATUS_DISPOSED, STATUS_EMPTY, STATUS_FINISHED, STATUS_HALTED, STATUS_HALTING, STATUS_IDLE, STATUS_INIT, STATUS_PAUSED, STATUS_RUNNING, STATUS_STOPPED`

Constructor Summary
`SelectValuesData()`

Method Summary

Methods inherited from class org.pentaho.di.trans.step.BaseStepData
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, isStopped, setStatus`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pentaho.di.trans.step.StepDataInterface
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, setStatus`

Field Detail

### fieldnrs

    public int[] fieldnrs

### extraFieldnrs

    public int[] extraFieldnrs

### removenrs

    public int[] removenrs

### metanrs

    public int[] metanrs

### firstselect

    public boolean firstselect

### firstdeselect

    public boolean firstdeselect

### firstmetadata

    public boolean firstmetadata

### selectRowMeta

    public org.pentaho.di.core.row.RowMetaInterface selectRowMeta

### deselectRowMeta

    public org.pentaho.di.core.row.RowMetaInterface deselectRowMeta

### metadataRowMeta

    public org.pentaho.di.core.row.RowMetaInterface metadataRowMeta

### outputRowMeta

    public org.pentaho.di.core.row.RowMetaInterface outputRowMeta

### select

    public boolean select

### deselect

    public boolean deselect

### metadata

    public boolean metadata

Constructor Detail

### SelectValuesData

    public SelectValuesData()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD